# Check if data frame columns agree with partitioning

Source: `R/utility_functions.R`
`check_unique_by_partition.Rd`

Efficiently check if the columns of the data frame agree with the partitioning.

    check_unique_by_partition(df, partitioning, columns = NULL)

## Arguments

df | Data frame that shall be checked.
partitioning | Nested list, specifying which `df` rows belong to one partition.
columns | Optional: Only check the specified columns of `df`. Defaults to all columns.

## Value

Vector of column names of the columns, that agree with the partitioning.

## Details

Agreement means, that only a unique value is provided per partition per column.